Package commoble.bagofyurting

# Class BagOfYurtingData.StateData

java.lang.Object
commoble.bagofyurting.BagOfYurtingData.StateData

Enclosing class:
  BagOfYurtingData

public static class BagOfYurtingData.StateData extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static String`
`BLOCKSTATE`
`static String`
`TILE`

## Constructor Summary

Constructors
Constructor
Description
`StateData​(net.minecraft.world.level.block.state.BlockState state, net.minecraft.nbt.CompoundTag BlockEntityData)`

## Method Summary

Modifier and Type
Method
Description
`net.minecraft.world.level.block.state.BlockState`
`getState()`
`static BagOfYurtingData.StateData`
`read​(net.minecraft.nbt.CompoundTag nbt)`
`void`
`setBlockEntityData​(net.minecraft.world.level.Level level, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.Rotation unrotation, net.minecraft.core.BlockPos minYurt, net.minecraft.core.BlockPos maxYurt, net.minecraft.core.BlockPos origin)`
`void`
`setBlockIntoLevel​(net.minecraft.world.level.Level level, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.Rotation unrotation)`
`net.minecraft.nbt.CompoundTag`
`write()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### BLOCKSTATE

public static final String BLOCKSTATE

See Also:
  Constant Field Values

### TILE

public static final String TILE

See Also:
  Constant Field Values

## Constructor Details

### StateData

public StateData​(@Nonnull net.minecraft.world.level.block.state.BlockState state, @Nonnull net.minecraft.nbt.CompoundTag BlockEntityData)

## Method Details

### getState

public net.minecraft.world.level.block.state.BlockState getState()

### setBlockIntoLevel

public void setBlockIntoLevel​(net.minecraft.world.level.Level level, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.Rotation unrotation)

### setBlockEntityData

public void setBlockEntityData​(net.minecraft.world.level.Level level, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.Rotation unrotation, net.minecraft.core.BlockPos minYurt, net.minecraft.core.BlockPos maxYurt, net.minecraft.core.BlockPos origin)

### write

public net.minecraft.nbt.CompoundTag write()

### read

public static BagOfYurtingData.StateData read​(net.minecraft.nbt.CompoundTag nbt)